libuim-dev_1.8.8-4_amd64.deb


Advertisement

Description

libuim-dev - Universal Input Method - development files

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libuim-dev_1.8.8-4_amd64.deb
Package name libuim-dev
Package version 1.8.8
Package release 4
Package architecture amd64
Package type deb
Category devel::lang:c devel::library implemented-in::c libdevel role::devel-lib
Homepage https://github.com/uim/uim/wiki
License -
Maintainer HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Download size 109.70 KB
Installed size 593.00 KB
Uim is an input method module library which supports various scripts and can
act as a front end for a range of input methods, including Anthy, Canna,
or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
M17n (for many other languages). Most of its functions are implemented in
Scheme, so it's very simple and flexible.
This package contains header files and static libraries for uim development.

Alternatives

Package Version Architecture Repository
libuim-dev_1.8.8-4_i386.deb 1.8.8 i386 Debian Main
libuim-dev - - -

Requires

Name Value
libgcroots-dev -
libuim-custom2 = 1:1.8.8-4
libuim-scm0 = 1:1.8.8-4
libuim8 = 1:1.8.8-4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libuim-dev_1.8.8-4_amd64.deb
Source Package uim

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libuim-dev deb package:
    # sudo apt-get install libuim-dev

Files

Path
/usr/include/uim/dynlib.h
/usr/include/uim/uim-custom.h
/usr/include/uim/uim-helper.h
/usr/include/uim/uim-im-switcher.h
/usr/include/uim/uim-notify.h
/usr/include/uim/uim-posix.h
/usr/include/uim/uim-scm-abbrev.h
/usr/include/uim/uim-scm.h
/usr/include/uim/uim-util.h
/usr/include/uim/uim.h
/usr/include/uim/version.h
/usr/lib/x86_64-linux-gnu/libuim-custom.a
/usr/lib/x86_64-linux-gnu/libuim-custom.so
/usr/lib/x86_64-linux-gnu/libuim-scm.a
/usr/lib/x86_64-linux-gnu/libuim-scm.so
/usr/lib/x86_64-linux-gnu/libuim.a
/usr/lib/x86_64-linux-gnu/libuim.so
/usr/lib/x86_64-linux-gnu/pkgconfig/uim.pc
/usr/share/doc/libuim-dev

Changelog

2019-03-28 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-4) unstable; urgency=medium
[ YOSHINO Yoshihito ]
* Non-maintainer upload.
* d/{uim.{postinst,prerm},NEWS}: Do not auto-register/unregister plugins of
the following input methods:
byeoru, ipa-x-sampa, latin, look, m17nlib, pinyin, viqr
When upgrading from stretch this behaved badly and they took precedence
over other popular plugins many people use.
* d/{control,rules,uim-*.{postinst,prerm}}: Resurrect packages
uim-{byeoru,ipa-x-sampa,latin,look,m17nlib,pinyin,viqr} for those plugins.
All of them exist in stretch and should upgrade normally.
Dear testing/sid users,
If you are using some of the input methods above, you have to manually
install the respective package(s). Sorry for any inconvenience.
* d/{uim.preinst,control}: Unregister those plugins on upgrade from
testing/sid. Make uim Pre-Depends: uim-data accordingly.
2018-08-03 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-3) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* d/control: set Breaks+Replaces: uim-qt5 to uim-qt5-immodule
(Closes: #905186).
2018-05-13 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-2) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* d/t/: do not use Makefile.
2018-05-12 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream release.
* d/control: tighten build-dependency libgcroots-dev.
* d/p/support_anthy-0.3.patch: refresh patch.
* d/p/fix_spelling_error_sigscheme.patch: removed, imported upstream.
* d/p/uim_can_work_with_libgcroot_0.2.2.patch: removed, imported upstream.
* d/rules, d/uim-data.docs: use RELNOTE as upstream changelog.
* support autopkgtest.
* bump up Standards-Version 4.1.4.
2018-03-03 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180301.c79432c-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream git checkout.
* d/p/qt5-disable-debug-flag.patch: removed, imported upstream.
* d/p/qt5-immodule-qmake-conf.patch: removed, not-needed.
2018-02-11 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180114.64e3173-2) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* eliminate lintian warning: spelling-error-in-patch-description
* uim-data and uim-plugins breaks/replaces old uim-anthy (Closes: #890068).
2018-01-24 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180114.64e3173-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream git checkout.
* d/p/pass_cppflags_to_cmake_cxx_flags.patch: removed, imported upstream.
* uim-anthy pre-depends uim-data (Closes: #877918)
thanks to Andreas Beckmann <anbe@debian.org>.
* eliminate lintian warning: insecure-copyright-format-uri
2018-01-14 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180111.cbd2c5e-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream git checkout.
* Move Vcs-* to salsa.debian.org
2018-01-07 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180106.ec697da-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream git checkout.
- gtk3: support Wayland backend (Closes: #810739)
* d/p/do_not_use_run-singletest_sh.patch: removed, imported upstream.
* d/p/panel_applet_inprocess.patch: removed, imported upstream.
* d/p/qt5-delayed-candwin.patch: removed, imported upstream.
* d/p/qt5-do-not-use-private-qt_plugin_prf.patch: removed, imported upstream.
* d/p/qt5-fix-candwin-unexpected-behavior.patch: removed, imported upstream.
* d/p/qt5-qt4-fix-toolbar-icon.patch: removed, imported upstream.
* d/p/fix-lib-deps.patch: removed, imported upstream.
* Refresh patches.
* d/README.source: remove dpatch entry and add origin of this package source.
* upgrade debhelper to 11.
* bump up Standards-Version 4.1.3.

See Also

Package Description
libuim-scm0_1.8.8-4_amd64.deb Universal Input Method - uim-scm API library
libuim8_1.8.8-4_amd64.deb Universal Input Method - uim library
libuima-adapter-soap-java_2.10.2-3_all.deb Library to provide SOAP web services within UIMA
libuima-adapter-vinci-java_2.10.2-3_all.deb Library to provide Vinci web services within UIMA
libuima-addons-java_2.3.1-8_all.deb Apache UIMA Addons
libuima-as-java-doc_2.3.1-9_all.deb Documentation for Apache UIMA Asynch Scaleout framework
libuima-as-java_2.3.1-9_all.deb Apache UIMA Asynch Scaleout framework
libuima-core-java_2.10.2-3_all.deb Core library for the UIMA framework
libuima-cpe-java_2.10.2-3_all.deb Library for the UIMA Collection Processing Engine
libuima-document-annotation-java_2.10.2-3_all.deb Library for the UIMA document annotation
libuima-tools-java_2.10.2-3_all.deb UIMA library for the UIMA tools
libuima-vinci-java_2.10.2-3_all.deb Library to handle Vinci web service protocol
libukui-menu-dev_1.1.3-2+b1_amd64.deb implementation of the freedesktop menu specification for UKUI (dev)
libukui-menu2_1.1.3-2+b1_amd64.deb implementation of the freedesktop menu specification for UKUI (library)
libukui-panel-applet-4-1_1.1.5-1_amd64.deb library for UKUI Panel applets
Advertisement
Advertisement